Index: D:/ez/nextgen/stable/3.9/bin/php/ezgeneratetranslationcache.php
===================================================================
--- D:/ez/nextgen/stable/3.9/bin/php/ezgeneratetranslationcache.php	(revision 20662)
+++ D:/ez/nextgen/stable/3.9/bin/php/ezgeneratetranslationcache.php	(working copy)
@@ -49,7 +49,7 @@
                                                          "Default usage: ./bin/php/ezgeneratetranslationcache -s setup\n" ),
                                       'use-session' => false,
                                       'use-modules' => true,
-                                      'use-extensions' => false,
+                                      'use-extensions' => true,
                                       'user' => true ) );
 $script->startup();
 
Index: D:/ez/nextgen/stable/3.9/lib/ezi18n/classes/eztranslationcache.php
===================================================================
--- D:/ez/nextgen/stable/3.9/lib/ezi18n/classes/eztranslationcache.php	(revision 20662)
+++ D:/ez/nextgen/stable/3.9/lib/ezi18n/classes/eztranslationcache.php	(working copy)
@@ -130,10 +130,24 @@
         include_once( 'lib/ezfile/classes/ezdir.php' );
         include_once( 'lib/ezutils/classes/ezsys.php' );
 
+        $roots = array( $ini->variable( 'RegionalSettings', 'TranslationRepository' ) );
+        $extensionBase = eZExtension::baseDirectory();
+        $translationExtensions = $ini->variable( 'RegionalSettings', 'TranslationExtensions' );
+        foreach ( $translationExtensions as $translationExtension )
+        {
+            $extensionPath = $extensionBase . '/' . $translationExtension . '/translations';
+            if ( file_exists( $extensionPath ) )
+            {
+                $roots[] = $extensionPath;
+            }
+        }
+        $rootsPaths = implode( ";", $roots );
+        
         $internalCharset = eZTextCodec::internalCharset();
-        $rootName = 'root-' . md5( $internalCharset );
+        $rootName = 'root-' . md5( $internalCharset . $rootsPaths );
+        
         $rootCacheDirectory = eZDir::path( array( eZSys::cacheDirectory(), 'translation', $rootName ) );
-
+        
         return $rootCacheDirectory;
     }
 
